import request from "@/utils/request";

export function getUnqualifiedData(data: object) {
  return request({
    url: "/api/v1/unqualified/page",
    method: "post",
    data,
  });
}

// 新增销售反馈表

export function addFeedback(data: object) {
  return request({
    url: "/api/v1/unqualified/add",
    method: "post",
    data,
  });
}

// 删除销售反馈表

export function deleteFeedback(id: number) {
  return request({
    url: "/api/v1/unqualified/del",
    method: "post",
    data: { id },
  });
}

//处理反馈表

export function dealFeedback(data: object) {
  return request({
    url: "/api/v1/unqualified/handle",
    method: "post",
    data,
  });
}

export function saveBack(data: object) {
  return request({
    url: "/api/v1/unqualified/tempSave",
    method: "post",
    data,
  });
}

export function updateUnqualifiedData(data: object) {
  return request({
    url: "/api/v1/unqualified/update",
    method: "post",
    data,
  });
}
